% reshape the real measurement fingerprint
clear all;
close all;
clc;

load('UserTrack7ALL_LONG_UniversityBuilding2.mat');
load('fingerPrint_uni_bulid2.mat');

% find the total number of APs
trk=user_data_per_measpoint;

clear WLAN_data_per_synthpoint;
[row,~]=size(trk);

% reshape the track database

% initial power and label matrix
trk_power=zeros(row*2,max_no);
trk_power(1:2:end,:)=repmat(1:max_no,row,1);

% form power matrix
temp2=1:max_no;
for p=1:row
    
    temp1=trk{p,2}(1,:);
    temp11=repmat(temp1.',1,max_no);
    temp22=repmat(temp2,length(temp1),1);
    dif=temp11-temp22;
    [row1,col,~]=find(~dif);
    [~,I]=sort(row1);
    col=col(I);
    trk_power(p*2,col)=trk{p,2}(2,:);
    
end
trk_power(trk_power==0)=nan;
clear p temp1 temp11 temp2 temp22 dif row1 col I;

% form new structure fingerprint database
track=cell(2,row);
for p=1:row
    
    track{1,p}=trk{p,1};
    track{2,p}=trk_power(2*p-1:2*p,:);
    
end

save('track_uni_bulid2_7.mat','track');